Get Single License Key

Added in v1.0
GET https://api.example.com/api/keys/{id}
Requires authentication: x-api-key: YOUR_API_KEY

Returns an object with the requested key information.

Path parameters

  • key string required
    The license key, as shown on the license page on the website.

Responses

  • 200OK
  • 404Not Found
Request
curl -X GET 'https://api.example.com/api/keys/{id}' \
  -H 'x-api-key: YOUR_API_KEY'
Response
OK
{
  "id": 1,
  "uuid": "123",
  "product": 456,
  "key": "0190a5f3-7c1e-7b2a-9d4e-3f8a6c1b2d90",
  "ip": "203.0.113.10",
  "status": true,
  "disabled": false,
  "locked": true,
  "lastSeen": 1790000000000
}